package com.gyee.wisdom.dao.topic;

import com.gyee.wisdom.common.data.topic.TopicPoint;

import java.util.List;

/**
 * @author:Wanghs
 * @date:2018-07-31
 */
public interface ITopicPointDao {


    TopicPoint findByPoint(String point);

    List<TopicPoint> findByPoints(List<String> pointList);

    List<TopicPoint> findByStationIdAndPointTypeAndUniformCode(String stationId, String pointType, String uniformCode);

    List<TopicPoint> findByStationIdAndPointTypeAndWindturbineId(String stationId, String pointType, String windturbineId);

    List<TopicPoint> findByPointNameLike(String pointName);

    List<TopicPoint> findByUniformCodes(List<String> uniformCodeList);


}
